# https://fedoraproject.org/wiki/Packaging:Haskell

%global pkg_name word8

Name:           ghc-%{pkg_name}
Version:        0.0.4
Release:        1%{?dist}
Summary:        8-bit character library

License:        BSD
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros

%description
Char functions assuming Latin1 encoding for Char8 and Word8.


%package devel
Summary:        Haskell %{pkg_name} library development files
Provides:       %{name}-static = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
This package provides the Haskell %{pkg_name} library development files.


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%post devel
%ghc_pkg_recache


%postun devel
%ghc_pkg_recache


%files -f %{name}.files
%doc LICENSE


%files devel -f %{name}-devel.files


%changelog
* Tue Jan 28 2014 Jens Petersen <petersen@redhat.com> - 0.0.4-1
- try to improve summary and description

* Tue Jan 28 2014 Fedora Haskell SIG <haskell@lists.fedoraproject.org> - 0.0.4
- spec file generated by cabal-rpm-0.8.8
